Subject: Re: Bug report: AM 3-way patching fails with partial cloning

From: Junio C Hamano <[email-masked]>
Date: Tue, 04 Jul 2023 15:02:56 -0700

Marius Schiffer <[email-masked]> writes:

> When applying patches with git am on a repository cloned with
> filter=blob:none, the patching sometimes fails when it can't find the
> required SHA1 information.
> Applying the same thing on a normal clone works.

This is very much expected, especially if your patches are not
generated with --full-index option, because partial clones cannot
on-demand request objects without knowing their full object names to
the promissor remote.  I do not offhand know if "am -3" codepath, if
the full object name is available, is arranged to trigger lazy
fetching of the objects, but nobody sane are sending patches with
the --full-index option to begin with, so that is academic, I would
say.